Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 720836

Summary: media-libs/audiofile fails tests
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: sound
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2020-05-03 15:40:25 UTC
This is an auto-filled bug because media-libs/audiofile fails tests.
The issue was originally discovered on arm64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-03 15:41:14 UTC
Created attachment 635860 [details]
build.log

build log and emerge --info
Comment 2 Jannik Gl├╝ckert 2020-06-08 18:11:59 UTC
I can confirm this on amd64, both with gcc 9.3.0 and 10.1.0
Comment 3 Larry the Git Cow gentoo-dev 2020-07-19 18:28:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2bb2dc35eccffb4adbcc7f4057b6e2ea458d1b8

commit f2bb2dc35eccffb4adbcc7f4057b6e2ea458d1b8
Author:     John Helmert III <jchelmert3@posteo.net>
AuthorDate: 2020-07-19 18:28:17 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-07-19 18:28:17 +0000

    media-libs/audiofile: Add security patches
    
    Dropping the system-gtest patch is necessary to make the tests run, as
    mentioned here: https://bugs.gentoo.org/680482#c8
    
    The three closed bugs are reported test failures fixed by dropping the
    aforementioned patch and a slight repair of src_test. Because we're not
    using system gtest anymore, we can drop the test dependency on
    dev-cpp/gtest, and by extension the IUSE=test boilerplate.
    
    Bug: https://bugs.gentoo.org/614046
    Bug: https://bugs.gentoo.org/687766
    Closes: https://bugs.gentoo.org/680482
    Closes: https://bugs.gentoo.org/715192
    Closes: https://bugs.gentoo.org/720836
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Signed-off-by: John Helmert III <jchelmert3@posteo.net>
    Closes: https://github.com/gentoo/gentoo/pull/16141
    Signed-off-by: Sam James <sam@gentoo.org>

 media-libs/audiofile/audiofile-0.3.6-r4.ebuild     |  55 +++
 .../files/audiofile-0.3.6-CVE-2017-68xx.patch      | 379 +++++++++++++++++++++
 ...ofile-0.3.6-CVE-2018-13440-CVE-2018-17095.patch |  82 +++++
 3 files changed, 516 insertions(+)